2019-11-12 14:20 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000771Spring engineGeneralpublic2008-01-04 01:03
ReporterCommander 
Assigned Totvo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000771: [patch] Revive Mac support, initial changes
DescriptionThis patch allows compilation on MacOS X using XCode. Mac support is not finished yet, it needs proper packaging and building the AIs, among other stuff.

See the forum for more info:
http://spring.clan-sy.com/phpbb/viewtopic.php?f=12&t=8819&start=300

Diff'ed against revision 5236
Additional InformationThe main changes in this:
- Update the XCode project file
- Change declaration of unsigned int to GLuint in apropriate places.
- Disabled the outdated QuickTime image loader. Will use DevIL instead
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001692

imbaczek (reporter)

i wonder if we should wait for the next bugfix release with this or not. probably depends on the release schedule, which afaik doesn't exist. Tobi?

~0001694

tvo (reporter)

Thank you for the patch, it is committed now! Looking forward to proper Mac support, even though I don't own one :x
+Notes

-Issue History
Date Modified Username Field Change
2008-01-03 23:56 Commander New Issue
2008-01-03 23:56 Commander File Added: macupdates.patch
2008-01-03 23:58 imbaczek Note Added: 0001692
2008-01-04 01:02 tvo Status new => assigned
2008-01-04 01:02 tvo Assigned To => tvo
2008-01-04 01:03 tvo Status assigned => resolved
2008-01-04 01:03 tvo Resolution open => fixed
2008-01-04 01:03 tvo Note Added: 0001694
+Issue History